View Issue Details

IDProjectCategoryView StatusLast Update
0013728Tine 2.0Tinebasepublic2018-02-05 08:54
ReporterhobbyistAssigned Topmehrer 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version2017.08.11 Community Edition 
Target VersionFixed in Version2017.11.4 Caroline Business Edition 
Summary0013728: False detection MariaDB version
DescriptionMariaDB reports it's version in different strings depending on what os oder PHP-drivers one uses. It differs between e.g. "5.5.5-10.0.17-MariaDB-log" and "10.0.17-MariaDB-log". This effect is discussed on http://php.net/manual/de/mysqli.get-server-info.php, for example. It does not affect only on windows systems, as you can think reading the article.

tine2.0 uses different methods to calculate the sql-server's version. Especially the preg_match in vendor/zendframework/zendframework1/library/Zend/Db/Adapter/Pdo/Abstract.php grabs the 5.5.5 in the long version term and returns version 5.5.5 instead of 10.0.17 or as in my case 10.2.12.
Additional Informationhttps://www.tine20.org/forum/viewtopic.php?f=12&p=68036
TagsNo tags attached.
mwticket

Activities

pmehrer

pmehrer

2018-02-05 08:54

developer   ~0021388

zend has been patched
capability checks have been adjusted to check for maria db versions too

https://gerrit.tine20.com/customers/7859
https://gerrit.tine20.com/customers/7923

Issue History

Date Modified Username Field Change
2018-01-24 12:54 hobbyist New Issue
2018-01-24 14:43 mspahn Assigned To => pmehrer
2018-02-05 08:54 pmehrer Status new => resolved
2018-02-05 08:54 pmehrer Resolution open => fixed
2018-02-05 08:54 pmehrer Fixed in Version => 2017.11.4 Caroline Business Edition
2018-02-05 08:54 pmehrer Note Added: 0021388